function H = H_Matrise(S,I)
syms w 
%her lages H-matirsen basert p jordslens randbetingelser

 i=2*S-1;                                                                                    
%I(1,j) er Gmax til det j-te laget
%I(2,j) er tetthet til det j-te laget
%I(3,j) er tykkelse til det j-te laget
%I(4,j) er skjrhastighet til det j-te laget
%Definere frst en symbolsk matrise H

%kun et lag:
if S==1;                                                                                        
    H=sym('H',[S,S]);
    H(1,1)=cos((w/I(4,1))*I(3,1));
 %to lag
elseif S==2;                                                                                   
    H=sym('H',[3,3]);
    H(1,1)=cos((w/I(4,1))*I(3,1));
    H(1,2)=-1;
    H(2,1)=-(I(1,1)/I(4,1))*sin((w/I(4,1))*I(3,1));
    H(2,3)=-(I(1,2)/I(4,2));
    H(3,2)=cos((w/I(4,2))*I(3,2));
    H(3,3)=sin((w/I(4,2))*I(3,2));
    H(1,3)=0;
    H(3,1)=0;
    H(2,2)=0;
%fler enn to lag
elseif S>=3;    
    H=sym('H',[i,i]);                               
    H(1,1)=cos((w/I(4,1))*I(3,1));
    H(1,2)=-1;
    H(2,1)=-(I(1,1)/I(4,1))*sin((w/I(4,1))*I(3,1));
    H(2,3)=-(I(1,2)/I(4,2));
    for j=3:1:S
        H((3+(j-3)*2),(2+2*(j-3)))=cos((w/I(4,j-1))*I(3,j-1));                             
        H((3+(j-3)*2),(3+(j-3)*2))= sin((w/I(4,j-1))*I(3,j-1));                              
        H((3+(j-3)*2),(4+(j-3)*2))=-1;
        H((4+(j-3)*2),(2+2*(j-3)))=-(I(1,j-1)/I(4,j-1))*sin((w/I(4,j-1))*I(3,j-1));   
        H((4+(j-3)*2),(3+2*(j-3)))=(I(1,j-1)/I(4,j-1))*cos((w/I(4,j-1))*I(3,j-1));
        H((4+(j-3)*2),(5+2*(j-3)))=-I(1,j)/I(4,j);
    end

    H((i),(i-1))=cos((w/I(4,S))*I(3,S));
    H(i,i)= sin((w/I(4,S))*I(3,S));
end
% m fylle resten av matrisen med nuller.

   for g=1:1:i-2;
       f=floor(g/2);
       for k=(3+2*f):1:i;
           H(k,g)=0;
           H(g,k)=0;
       end
   end
       for l=1:1:S-1;
           H(2*l,2*l)=0;
       end
       for l=1:1:S-2
           H(2*l,2*l+2)=0;
       end       
end
