
function [M,V]=Omhylling(P,C,C1,AB,G,Sdw)
%lager skjr og moment omhllyingskurver for de ulike svingemnstrene  
syms z
M=sym('M',[P(3),6]);
V=sym('V',[P(3),6]);
for j=1:1:6
    for i=1:1:P(3);
        k=(i-1)*4;                                                       
        alfa=AB(i,1);
        z1=alfa*z;
        beta=AB(i,2+(j-1)*2);
        CM=(4*G(1,j)*Sdw(1,j)*alfa^4)/(beta^4+4*alfa^4);
        C1_1=C1(1+k,j);
        C2_1=C1(2+k,j);
        C3_1=C1(3+k,j);
        C4_1=C1(4+k,j);
        A1_1=C(1+(i-1)*2,j);
        B1_1=C(2+(i-1)*2,j);
        M(i,j)=-2*P(2)*alfa^2*exp(-z1)*(C1(1+k,j)*sin(z1)-C1(2+k,j)*cos(z1))-2*P(2)*alfa^2*exp(z1)*(C1(4+k,j)*cos(z1)-C1(3+k,j)*sin(z1))+P(2)*CM*beta^2*(C(1+(i-1)*2,j)*cos(beta*z)+C(2+(i-1)*2,j)*sin(beta*z));
        V(i,j)=-2*P(2)*alfa^3*exp(-z1)*((C1(1+k,j)+C1(2+k,j))*cos(z1)+(C1(2+k,j)-C1(1+k,j))*sin(z1))-2*P(2)*alfa^3*exp(z1)*((C1(4+k,j)-C1(3+k,j))*cos(z1)-(C1(3+k,j)+C1(4+k,j))*sin(z1))-P(2)*CM*beta^3*(C(1+(i-1)*2,j)*sin(beta*z)-C(2+(i-1)*2,j)*cos(beta*z));
    end  
end