function [Mtot,Vtot]=Totalt(M,V,P,w,n)
%superponeres pelens respons ved bruk av QCQ og bruker korrelasonsfaktor
% til Dezi et al.
syms z
zeta=(10/(n^2)-5)/100;        %dempningen angis i prosent
Mtot= sym('Mtot',[P(3),1]);
Vtot= sym('Vtot',[P(3),1]);
for i=1:1:P(3)
    a=0;
    b=0;
    for l=1:1:6;
        for m=1:1:6;
        %lamnda gir forholdet mellom to frekvenser
         lamda=(1/w(m))/(1/w(l));              
        %korrelasjonsfaktor;
        r=(8*zeta*(zeta+lamda*zeta)*lamda^(3/2))/((1-lamda^2)^2+4*zeta^2*lamda*(1+lamda^2)+4*(zeta^2+lamda*zeta^2)*lamda^2);  
        a=a+(M(i,l)*M(i,m)*r) ;                                                                                              
        b=b+(V(i,l)*V(i,m)*r);                                                                                               
        end
    end
    Mtot(i,1)=a^0.5;
    Vtot(i,1)=b^0.5; 
end
    